package io.nisum.designpattern.organization.mapper;

import io.nisum.designpattern.organization.dto.OrganizationDto;
import io.nisum.designpattern.organization.entity.Organization;
import org.springframework.beans.BeanUtils;

public class MapperModel {

    private static final String OP_UPDATE = "update";

    public static Organization mapToEntity(OrganizationDto organizationDto) {
        Organization organization = new Organization();
        BeanUtils.copyProperties(organizationDto, organization);
        return organization;
    }

    public static OrganizationDto mapToDto(Organization organization) {
        OrganizationDto organizationDto = new OrganizationDto();
        BeanUtils.copyProperties(organization, organizationDto);
        return organizationDto;
    }

}
