package io.nisum.designpattern.organization.service;

import io.nisum.designpattern.organization.dto.OrganizationDto;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface OrganizationService {
    public Mono<OrganizationDto> save(Mono<OrganizationDto> organizationDtoMono);
    public Flux<OrganizationDto> findAll();
    public Mono<OrganizationDto> findById( long id );
}
