package io.nisum.designpattern.department.services;

import io.nisum.designpattern.department.dto.DepartmentDto;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface DepartmentService {
    public Mono<DepartmentDto> save(Mono<DepartmentDto> departmentDtoMono);
    public Mono<DepartmentDto>  findById(long id);
    public Flux<DepartmentDto> findAll();
    public Flux<DepartmentDto> findByOrganization(long organizationId);
}